semaphore File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_semaphore
#define | _GLIBCXX_SEMAPHORE

## Typedefs

using | std::binary_semaphore = std::counting_semaphore< 1 >

## Detailed Description

This is a Standard C++ Library header.

Definition in file semaphore.

## Macro Definition Documentation

## __cpp_lib_semaphore

#define __cpp_lib_semaphore

Definition at line 44 of file semaphore.

## _GLIBCXX_SEMAPHORE

#define _GLIBCXX_SEMAPHORE

Definition at line 30 of file semaphore.